%% Connect to cluster
p = parcluster('local');
numWorkers = p.NumWorkers;

%% Run code in batch
numPaths = 1e5;
tic
job = batch(p, @gdpParVec,1,{numPaths},'Pool',numWorkers-1); 
wait(job)
outputs = fetchOutputs(job);
prc = outputs{1}
delete(job)
toc

%% Retain the histogram
% The histogram is generated on the worker which is not helpful to us.
% Call a modified function that returns the histogram data instead.
job = batch(p,@gdpParVecNoPlot,3,{numPaths},'Pool',numWorkers-1); 
wait(job)
outputs = fetchOutputs(job);
delete(job)

prc = outputs{1}
biny = outputs{2};
binx = outputs{3};
binx = (binx(1:end-1) + binx(2:end))/2; % convert bin edges to centers
bar(binx,biny)
title(['Final prices of ' num2str(numPaths) ' simulations'])
