function simData = simulations(x, y, startval,numSteps,numPaths)
% SIMULATIONS runs simulations based on historic data using
% random numbers generated from the log returns.

% Generate random numbers and compute final price
simData = nan(1,numPaths);
for I = 1:numPaths
    simReturns = rand(numSteps, 1);
    % Interpolate, using the inverse cumulative distribution function
    simReturns = interp1(x,y,simReturns,'linear','extrap');
    simData(I) = startval*prod(exp(simReturns));
end
